QGIS Application - Bug report #8240
Exporting PDF Error From Print Composer
2013-07-08 03:05 PM - James Harvey

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 17051
Description

I am on Windows Weekly build 1ad5b7 (QGIS-OSGeo4W-1.9.0-26-Setup.exe  01-Jul-2013 20:10)
Win 7 Pro

Intel Xeon 3.4 GHZ, 24GB ram

578GB on the drive | am working off.

| get a bad allocation error on exporting a PDF larger than an A4. The one | tried as an A0 export but it fails on exporting. Some exports |
have done show some layer items.

| do have better success on my Macbook pro laptop (i7 ?) weekly build, but fails on my Windows Xeon. Is it something to do with the way
postscript to PDF is handled on Windows?

| seem to have export errors from Windows on PDF larger than about 20MB.

The PDF files that do get generated may also have some sort of problem with the pdf file settings. | have errors when trying to place the
PDFs into Adobe InDesign on Windows. Saving the PDF as a different type, or as an EPS is my current work around.

History

#1 - 2013-07-08 06:13 PM - James Harvey

My old MacBook Pro details to compare my Windows Xeon against are OSX 10.6.7 2.5 GHZ Intel Core Duo, 4GB Ram.

| can export an A0 99MB pdf off the Mac QGIS 1.8 ok.

It would also be nice to have some more options when exporting the PDFs. eg type of PDF. But also options like choosing not to convert text to paths which

| am sure would also increase files sizes quite a lot.

#2 - 2013-07-08 10:56 PM - James Harvey

Had more success with my Windows setup. | found that some SVG icons were causing issues. These were icons that were exported from Adobe lllustrator

but did not pick up on the cropped canvas area in the file and had other vector icon artwork inside. | discovered this when | exported a lower res jpg off the

map and it showed all the extra vector artwork in the icon files on the map.

| cleaned up my SVG files and got better performance PDF exports of my maps up to A2 size (30mb)on Windows. | could not reach A0 size though without
the PDF export failing on Windows.
#3 - 2013-07-09 01:54 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

- Category set to 33

isn't this duplicate of #7927?

The issue seems always the same as

#4821

and/or

#7791

Please reopen if necessary.
